Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class RegExpUtils

    java.lang.Object
      org.makumba.commons.RegExpUtils

    public class RegExpUtils

extends Object

This class provides several constants which are parts of patterns, and some methods for testing.

Version:
  $Id: RegExpUtils.java 3693 2009-02-11 00:38:34Z rosso_nero $
Author:
  Rudolf Mayer

Field Summary
`static String` | `digit`
`static String` | `fieldName`
`static String` | `fieldNameAndSpaces`
`static String` | `identifier`
`static String` | `LineWhitespaces`
`static String` | `minOneDigit`
`static String` | `minOneLineWhitespace`
`static String` | `minOneNonWhitespace`
`static String` | `minOneWhitespace`
`static String` | `minOneWord`
`static String` | `nonDigit`
`static String` | `nonWhitespace`
`static String` | `nonWhitespaces`
`static String` | `nonWord`
`static String` | `whitespace`
`static String` | `word`

Constructor Summary
`RegExpUtils()`

Method Summary
`static void` | `evaluate(Pattern p, boolean details, String... rules)` Testing method to see if some Strings match a pattern.
`static void` | `evaluate(Pattern p, String... rules)`
`static void` | `main(String[] args)`
`static String` | `or(String[] options)`
`static void` | `testIdentifiers()` testing method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public static final String identifier

See Also:
  Constant Field Values

### whitespace

    public static final String whitespace

See Also:
  Constant Field Values

### minOneWhitespace

    public static final String minOneWhitespace

See Also:
  Constant Field Values

### minOneLineWhitespace

    public static final String minOneLineWhitespace

See Also:
  Constant Field Values

### LineWhitespaces

    public static final String LineWhitespaces

See Also:
  Constant Field Values

### digit

    public static final String digit

See Also:
  Constant Field Values

### minOneDigit

    public static final String minOneDigit

See Also:
  Constant Field Values

### nonDigit

    public static final String nonDigit

See Also:
  Constant Field Values

### nonWhitespace

    public static final String nonWhitespace

See Also:
  Constant Field Values

### nonWhitespaces

    public static final String nonWhitespaces

See Also:
  Constant Field Values

### minOneNonWhitespace

    public static final String minOneNonWhitespace

See Also:
  Constant Field Values

### word

    public static final String word

See Also:
  Constant Field Values

### minOneWord

    public static final String minOneWord

See Also:
  Constant Field Values

### nonWord

    public static final String nonWord

See Also:
  Constant Field Values

### fieldName

    public static final String fieldName

See Also:
  Constant Field Values

### fieldNameAndSpaces

    public static final String fieldNameAndSpaces

See Also:
  Constant Field Values

Constructor Detail

### RegExpUtils

    public RegExpUtils()

Method Detail

### or

    public static String or(String[] options)

### main

    public static void main(String[] args)

### testIdentifiers

    public static void testIdentifiers()

  testing method.

### evaluate

    public static void evaluate(Pattern p,
                                boolean details,
                                String... rules)

  Testing method to see if some Strings match a pattern.

### evaluate

    public static void evaluate(Pattern p,
                                String... rules)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20